Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.phase.event
Interface PhaseLifecycleListener

All Superinterfaces:
  EventListener, SolverLifecycleListener

All Known Subinterfaces:
  ConstructionHeuristicPhase, CustomPhase, EntityIndependentValueSelector, EntityPlacer, EntitySelector, ExhaustiveSearchPhase, IterableSelector<T>, ListIterableSelector<T>, LocalSearchPhase, MoveSelector, Phase, PillarSelector, Selector, SubChainSelector, Termination, ValueSelector

All Known Implementing Classes:
  AbstractCachingEntitySelector, AbstractCachingMoveSelector, AbstractCachingValueSelector, AbstractCompositeTermination, AbstractEntitySelector, AbstractMoveSelector, AbstractPhase, AbstractSelector, AbstractTermination, AbstractValueSelector, AndCompositeTermination, BasicPlumbingTermination, BestScoreFeasibleTermination, BestScoreTermination, BestSolutionRecaller, CachingEntitySelector, CachingMoveSelector, CachingValueSelector, CartesianProductMoveSelector, ChangeMoveSelector, CompositeMoveSelector, DefaultConstructionHeuristicPhase, DefaultCustomPhase, DefaultExhaustiveSearchPhase, DefaultLocalSearchPhase, DefaultPillarSelector, DefaultSubChainSelector, DowncastingValueSelector, EntityDependentSortingValueSelector, FilteringEntitySelector, FilteringMoveSelector, FromEntityPropertyValueSelector, FromSolutionEntitySelector, FromSolutionPropertyValueSelector, GenericMoveSelector, InitializedValueSelector, MimicRecordingEntitySelector, MimicReplayingEntitySelector, MoveIteratorFactoryToMoveSelectorBridge, MoveListFactoryToMoveSelectorBridge, NearEntityNearbyEntitySelector, NearEntityNearbyValueSelector, OrCompositeTermination, PhaseLifecycleListenerAdapter, PhaseToSolverTerminationBridge, PillarChangeMoveSelector, PillarSwapMoveSelector, PooledEntityPlacer, ProbabilityEntitySelector, ProbabilityMoveSelector, ProbabilityValueSelector, QueuedEntityPlacer, ReinitializeVariableValueSelector, SelectedCountLimitEntitySelector, SelectedCountLimitMoveSelector, SelectedCountLimitValueSelector, SelectionCacheLifecycleBridge, ShufflingEntitySelector, ShufflingMoveSelector, ShufflingValueSelector, SortingEntitySelector, SortingMoveSelector, SortingValueSelector, StepCountTermination, SubChainChangeMoveSelector, SubChainSwapMoveSelector, SwapMoveSelector, TimeMillisSpentTermination, UnimprovedStepCountTermination, UnimprovedTimeMillisSpentTermination, UnionMoveSelector

    public interface PhaseLifecycleListener

extends SolverLifecycleListener

Method Summary
`void` | `phaseEnded(AbstractPhaseScope phaseScope)`
`void` | `phaseStarted(AbstractPhaseScope phaseScope)`
`void` | `stepEnded(AbstractStepScope stepScope)`
`void` | `stepStarted(AbstractStepScope stepScope)`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Method Detail

### phaseStarted

    void phaseStarted(AbstractPhaseScope phaseScope)

### stepStarted

    void stepStarted(AbstractStepScope stepScope)

### stepEnded

    void stepEnded(AbstractStepScope stepScope)

### phaseEnded

    void phaseEnded(AbstractPhaseScope phaseScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.